-- BEGIN COPYRIGHT
-- *************************************************************************
--
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2014. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *************************************************************************
-- END COPYRIGHT


SET CURRENT SCHEMA = '@SCHEMA@';
        
     
    

      
-- START of phase ProcUpgradeTo855 --
        
       
ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "PREVIEW_ADV_HTML" CHAR(36)
;

ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "PREVIEW_ADV_JS" CHAR(36)
;



ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE 
ADD 
    "SCRIPT_LOAD_STYLE" VARCHAR(128)
;


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "OWNER_TEAM_PARTICIPANT_REF" CHAR(36)
;

ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "BPMN2_DATA" BLOB(2G)
;

CREATE LOB TABLESPACE WLP10426
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD28_LOB
    IN @DB_NAME@.WLP10426
    STORES @SCHEMA@.LSW_BPD COLUMN BPMN2_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD28_I
    ON @SCHEMA@.LSW_BPD28_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "DEPENDENCY_SUMMARY" CLOB(2G)
;

CREATE LOB TABLESPACE WLP10428
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD29_LOB
    IN @DB_NAME@.WLP10428
    STORES @SCHEMA@.LSW_BPD COLUMN DEPENDENCY_SUMMARY
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD29_I
    ON @SCHEMA@.LSW_BPD29_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "INTERNAL_NAME" VARCHAR(200)
;





ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "CASE_FOLDER_ID" VARCHAR(80)
;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "STARTING_DOCUMENT_ID" VARCHAR(80)
;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "OWNER_GROUP_ID" DECIMAL(12,0)
;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "DOCUMENTS_STATE" DECIMAL(1,0)
        DEFAULT 0 NOT NULL
;





CREATE INDEX @SCHEMA@.LSWC_CASE_FOLDER_ID_NUQ 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "CASE_FOLDER_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT220
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_TWCLASS_EXTENSION (
    "EXTENSION_ID" CHAR(36) NOT NULL,
    "CLASS_ID" CHAR(36) NOT NULL,
    "XML_DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT220
;

CREATE LOB TABLESPACE WLP753
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_TWCLASS_EXTENSION3_LOB
    IN @DB_NAME@.WLP753
    STORES @SCHEMA@.BPM_TWCLASS_EXTENSION COLUMN XML_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_TWCLASS_EXTENSION3_I
    ON @SCHEMA@.BPM_TWCLASS_EXTENSION3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPM_TWCLASS_EXTENSION_PK
    ON @SCHEMA@.BPM_TWCLASS_EXTENSION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_TWCLASS_EXTENSION
    ADD CONSTRAINT BPM_TWCLASS_EXTENSION_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_TWCLASS_EXTENSION_PK3
    ON @SCHEMA@.BPM_TWCLASS_EXTENSION("GUID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ5104
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE (
    "INSTANCE_ID" CHAR(36) NOT NULL,
    "BPD_FLOW_OBJECT_ID" VARCHAR(256) NOT NULL,
    "PARENT_NODE_ID" DECIMAL(12,0) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(256) NOT NULL,
    "EXECUTION_STATE" DECIMAL(12,0) NOT NULL,
    "TASK_TYPE" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0),
    "REQUIRED" CHAR(1) NOT NULL,
    "REPEATABLE" CHAR(1) NOT NULL,
    "HIDDEN" CHAR(1) NOT NULL,
    "EXECUTION_TYPE" DECIMAL(12,0) NOT NULL,
    "OPTION_TYPE" DECIMAL(12,0) NOT NULL,
    "PRECONDITION_TYPE" DECIMAL(12,0) NOT NULL,
    "OWNER_GROUP_ID" DECIMAL(12,0),
    "START_DATE" TIMESTAMP,
    "END_DATE" TIMESTAMP,
    "LAST_MODIFIED_DATETIME" TIMESTAMP NOT NULL,
    "ENABLING_DOCUMENT_ID" VARCHAR(80),
    "EVALUATED_NARRATIVES" BLOB(2G),
    "ERRORS" BLOB(2G)
)
IN @DB_NAME@.WLPZ5104
;

CREATE LOB TABLESPACE WLPZ5105
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE_LOB
    IN @DB_NAME@.WLPZ5105
    STORES @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE COLUMN EVALUATED_NARRATIVES
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE_I
    ON @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLPZ5110
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE2_LOB
    IN @DB_NAME@.WLPZ5110
    STORES @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE COLUMN ERRORS
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE2_I
    ON @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_ACTIVITY_INSTANCE_PK
    ON @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE
    ("INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE
    ADD CONSTRAINT LSWC_BPD_ACTIVITY_INSTANCE_PK
    PRIMARY KEY(
       "INSTANCE_ID")

;

CREATE INDEX @SCHEMA@.LSWC_BPD_ACTIVITY_INSTANCE_PK4
    ON @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX01_BPD_ACTIVITY_INST 
    ON @SCHEMA@.LSW_BPD_ACTIVITY_INSTANCE(
    "BPD_INSTANCE_ID",
    "OPTION_TYPE",
    "REQUIRED",
    "PARENT_NODE_ID",
    "EXECUTION_STATE")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPT221
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_BPD_EVENT (
    "BPM_EVENT_ID" CHAR(36) NOT NULL,
    "CORRELATION_PATH" VARCHAR(256),
    "CORRELATION_VALUE" VARCHAR(256) NOT NULL,
    "ADDITIONAL_DATA" CLOB(2G),
    "BPD_ID" CHAR(36) NOT NULL,
    "BPD_FLOW_OBJECT_ID" VARCHAR(256) NOT NULL,
    "EVENT_TYPE" DECIMAL(2,0) NOT NULL,
    "CORRELATION_TYPE" DECIMAL(2,0) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT221
;

CREATE LOB TABLESPACE WLP10427
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_BPD_EVENT4_LOB
    IN @DB_NAME@.WLP10427
    STORES @SCHEMA@.BPM_BPD_EVENT COLUMN ADDITIONAL_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_BPD_EVENT4_I
    ON @SCHEMA@.BPM_BPD_EVENT4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPM_BPD_EVENT_PK
    ON @SCHEMA@.BPM_BPD_EVENT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_BPD_EVENT
    ADD CONSTRAINT LSWC_BPM_BPD_EVENT_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.LSWC_BPM_BPD_EVENT_NUQ1 
    ON @SCHEMA@.BPM_BPD_EVENT(
    "BPM_EVENT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSWC_BPM_BPD_EVENT_NUQ2 
    ON @SCHEMA@.BPM_BPD_EVENT(
    "BPD_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSWC_BPM_BPD_EVENT_NUQ3 
    ON @SCHEMA@.BPM_BPD_EVENT(
    "BPD_FLOW_OBJECT_ID")
    USING STOGROUP @STOGRP@

;
DROP INDEX @SCHEMA@.LSWC_GXREF_NU
;


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU2 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "GROUP_TYPE",
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

                
                
ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION 
ADD 
    "IS_ADAPTIVE" CHAR(1)
        DEFAULT 'F'
;


CREATE TABLESPACE WLPZ5106
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION (
    "CORRELATION_PK" DECIMAL(12,0) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "CORRELATION_NAME" VARCHAR(1024) NOT NULL,
    "CORRELATION_VALUE" CLOB(2G) NOT NULL,
    "HASH_CODE" CHAR(32) NOT NULL
)
IN @DB_NAME@.WLPZ5106
;

CREATE LOB TABLESPACE WLPZ5107
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION_LOB
    IN @DB_NAME@.WLPZ5107
    STORES @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION COLUMN CORRELATION_VALUE
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION_I
    ON @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_COR_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION
    ("CORRELATION_PK")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION
    ADD CONSTRAINT LSWC_BPD_INST_COR_PK
    PRIMARY KEY(
       "CORRELATION_PK")

;

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_COR_UK
    ON @SCHEMA@.LSW_BPD_INSTANCE_CORRELATION(
        "BPD_ID",
        "CORRELATION_NAME",
        "HASH_CODE")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ5108
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA (
    "BPD_EXTENDED_DATA_ID" DECIMAL(12,0) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "DATA" BLOB(2G),
    "TYPE" DECIMAL(2,0) NOT NULL
)
IN @DB_NAME@.WLPZ5108
;

CREATE LOB TABLESPACE WLPZ5109
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA_LOB
    IN @DB_NAME@.WLPZ5109
    STORES @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA COLUMN DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA_I
    ON @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_EXT_DATA_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA
    ("BPD_EXTENDED_DATA_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA
    ADD CONSTRAINT LSWC_BPD_INST_EXT_DATA_PK
    PRIMARY KEY(
       "BPD_EXTENDED_DATA_ID")

;

CREATE INDEX @SCHEMA@.LSWC_BPD_INST_EXT_DATA_NU 
    ON @SCHEMA@.LSW_BPD_INSTANCE_EXT_DATA(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

                

CREATE INDEX @SCHEMA@.LSWC_TASK_NARR_NU 
    ON @SCHEMA@.LSW_TASK_NARR(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_ADDR_NU 
    ON @SCHEMA@.LSW_TASK_ADDR(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_FILE_NU 
    ON @SCHEMA@.LSW_TASK_FILE(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;

DROP TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS;
COMMIT;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "SESSION_ID" VARCHAR(36),
    "CLIENT_ID" VARCHAR(36),
    "LATEST_SNAPSHOT_ID" VARCHAR(100),
    "VERSION_ID" CHAR(36),
    "L_MODEL_BATCH_NO_IN_SS" DECIMAL(19,0)
        DEFAULT 0,
    "L_MODEL_BATCH_NO" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "L_RN_TAG_BATCH_NO_IN_SS" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "L_RN_TAG_BATCH_NO" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "COMMITTED_MODEL_BATCH_NO" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "LATEST_BATCH_NO" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "LATEST_COMMIT_SEQ" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "L_SUMMARY_COMMIT_SEQ" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "CORRUPTED_BATCH_NO" DECIMAL(19,0),
    "ASSET_TYPE" VARCHAR(128),
    "USER_ID" VARCHAR(200) NOT NULL,
    "LOCK_STATUS" CHAR(1)
        DEFAULT 'F',
    "LOCKED_ON" TIMESTAMP,
    "LAST_MODIFIED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7801
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@
;
ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS
    ADD CONSTRAINT BPM_ASSET_CACHE_STS_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")
;
CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS(
    "CLIENT_ID")
    USING STOGROUP @STOGRP@
;
CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS(
    "CONTAINER_ID",
    "L_RN_TAG_BATCH_NO",
    "L_RN_TAG_BATCH_NO_IN_SS",
    "COMMITTED_MODEL_BATCH_NO",
    "L_MODEL_BATCH_NO_IN_SS")
    USING STOGROUP @STOGRP@
;
                
                    DROP INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX1
                
;

                    DROP INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX3
                
;

ALTER  TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR 
ADD 
    "COMMIT_SEQ" DECIMAL(19,0)
;

ALTER  TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR 
ADD 
    "RN_TAG" CHAR(1)
        DEFAULT 'F'
;

ALTER  TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK 
ADD 
    "COMMIT_SEQ" DECIMAL(19,0)
;

ALTER  TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK 
ADD 
    "RN_TAG" CHAR(1)
        DEFAULT 'F'
;

CREATE TABLESPACE WLPZ7811
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE16K@
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_INSTR_DISCARD (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "ROOT_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "BATCH_NO" DECIMAL(19,0) NOT NULL,
    "DATA_SEQ" DECIMAL(3,0) NOT NULL,
    "DATA" VARCHAR(8000),
    "COMMIT_SEQ" DECIMAL(19,0),
    "SNAPSHOT_ID" VARCHAR(100),
    "SNAPSHOT_SEQ" DECIMAL(19,0)
        DEFAULT 0,
    "USER_ID" VARCHAR(200) NOT NULL,
    "PENDING_SUMMARY" CHAR(1)
        DEFAULT 'F',
    "RN_TAG" CHAR(1)
        DEFAULT 'F',
    "BAD_BATCH" CHAR(1)
        DEFAULT 'F',
    "MODIFIED_ON" TIMESTAMP NOT NULL,
    "BASE_BATCH_NO" DECIMAL(19,0),
    "DISCARD_GUID" CHAR(36),
    "CLIENT_ID" VARCHAR(36),
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7811
;

CREATE TABLESPACE WLPZ7812
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE16K@
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG (
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" VARCHAR(100) NOT NULL,
    "SNAPSHOT_SEQ" DECIMAL(19,0)
        DEFAULT 0 NOT NULL,
    "FROM_EDIT_CACHE" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "STATUS" DECIMAL(1,0) NOT NULL,
    "DATA" VARCHAR(8000),
    "LOB_DATA" CLOB(2G),
    "CACHED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7812
;

CREATE LOB TABLESPACE WLPZ7813
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG_LOB
    IN @DB_NAME@.WLPZ7813
    STORES @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG COLUMN LOB_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG_I
    ON @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG_LOB
    USING STOGROUP @STOGRP@
;
        






CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_INSTR_DIS_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_INSTR_DISCARD
    ("CONTAINER_ID","ASSET_ID","BATCH_NO","DATA_SEQ")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_INSTR_DISCARD
    ADD CONSTRAINT BPM_ASSET_INSTR_DIS_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID",
       "BATCH_NO",
       "DATA_SEQ")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_E_MSG_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG
    ("CONTAINER_ID","SNAPSHOT_SEQ")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG
    ADD CONSTRAINT BPM_ASSET_CACHE_E_MSG_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "SNAPSHOT_SEQ")

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "COMMIT_SEQ",
    "ASSET_ID",
    "BATCH_NO",
    "DATA_SEQ")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX3 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "PENDING_SUMMARY",
    "COMMIT_SEQ",
    "ASSET_ID",
    "BATCH_NO",
    "DATA_SEQ",
    "SNAPSHOT_SEQ")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_INSTR_DIS_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_INSTR_DISCARD(
    "CONTAINER_ID",
    "ROOT_ID",
    "BATCH_NO")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_INSTR_DIS_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_INSTR_DISCARD(
    "MODIFIED_ON")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_INSTR_DIS_IDX3 
    ON @SCHEMA@.BPM_ASSET_CACHE_INSTR_DISCARD(
    "DISCARD_GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_E_MSG_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG(
    "CONTAINER_ID",
    "STATUS")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_E_MSG_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_EVENT_MSG(
    "CACHED_ON")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ8501
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_CASE_PROPERTY (
    "PROP_ID" CHAR(36) NOT NULL,
    "SYMBOLIC_NAME" VARCHAR(128) NOT NULL,
    "SNAPSHOT_ID" CHAR(36),
    "BRANCH_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "IS_TIP" CHAR(1),
    "REF_PO_INTERNAL_NAME" VARCHAR(112) NOT NULL,
    "REF_PO_TYPE" DECIMAL(2,0) NOT NULL
)
IN @DB_NAME@.WLPZ8501
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_CASEPROP_PK
    ON @SCHEMA@.BPM_CASE_PROPERTY
    ("PROP_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_CASE_PROPERTY
    ADD CONSTRAINT BPM_CASEPROP_PK
    PRIMARY KEY(
       "PROP_ID")

;

CREATE INDEX @SCHEMA@.BPM_IDX_CASEPROP 
    ON @SCHEMA@.BPM_CASE_PROPERTY(
    "PROJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_IDX2_CASEPROP 
    ON @SCHEMA@.BPM_CASE_PROPERTY(
    "BRANCH_ID",
    "IS_TIP")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_IDX3_CASEPROP 
    ON @SCHEMA@.BPM_CASE_PROPERTY(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "INTERNAL_NAME" VARCHAR(200)
;

ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "EXTENSION_TYPE" DECIMAL(2,0)
;



CREATE INDEX @SCHEMA@.LSW_IDX3_CLASS 
    ON @SCHEMA@.LSW_CLASS(
    "VERSION_ID",
    "EXTENSION_TYPE")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "STARTER_ID" DECIMAL(12,0)
;


ALTER  TABLE @SCHEMA@.LSW_TASK_NARR 
ADD 
    "I18N_NARRATIVES" BLOB(2G)
;

CREATE LOB TABLESPACE WLP456
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_TASK_NARR6_LOB
    IN @DB_NAME@.WLP456
    STORES @SCHEMA@.LSW_TASK_NARR COLUMN I18N_NARRATIVES
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_NARR6_I
    ON @SCHEMA@.LSW_TASK_NARR6_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE TABLESPACE WLPZ301
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_BPD_RESOURCE_LINK (
    "BPD_RESOURCE_LINK_ID" CHAR(36) NOT NULL,
    "RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ301
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_BPD_RES_LK_PK
    ON @SCHEMA@.BPM_BPD_RESOURCE_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_BPD_RESOURCE_LINK
    ADD CONSTRAINT BPM_BPD_RES_LK_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_BPD_RES_LK_PK3
    ON @SCHEMA@.BPM_BPD_RESOURCE_LINK("GUID")
    USING STOGROUP @STOGRP@

;

DROP INDEX @SCHEMA@.BPM_TASK_INDEX_IDX
                
;



CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX(
    "MAJOR_EVENT_DATETIME",
    "TASK_ID",
    "INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_IDX2 
    ON @SCHEMA@.BPM_TASK_INDEX(
    "INSTANCE_ID",
    "MAJOR_EVENT_DATETIME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_IDX2 
    ON @SCHEMA@.BPM_INSTANCE_INDEX(
    "INSTANCE_ID",
    "MAJOR_EVENT_DATETIME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_FAV_NUQ3 
    ON @SCHEMA@.LSW_FAVORITE(
    "ITEM_TYPE",
    "ITEM_ID")
    USING STOGROUP @STOGRP@

;

					UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET GOV_DEFAULT_SNAPSHOT_ID='5c679113-27ac-4bb8-bc83-36a0909c38e6' WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb568';
					UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET GOV_DEFAULT_SNAPSHOT_ID='5c679113-27ac-4bb8-bc83-36a0909c38e6' WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb569';
				
DROP INDEX @SCHEMA@.IDX_BRANCH
                
;


CREATE INDEX @SCHEMA@.IDX_BRANCH 
    ON @SCHEMA@.LSW_BRANCH(
    "PROJECT_ID",
    "LAST_MODIFIED")
    USING STOGROUP @STOGRP@

;

;

;



ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "ENABLE_DEV_MODE" CHAR(1)
        DEFAULT 'F'
;


					INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
					  VALUES(23, 3, 2066, '56a4e5e8-4da1-429c-8d9b-b5be67e881d2', 127)
					;
					INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
					  VALUES(24, 4, 2066, '56a4e5e8-4da1-429c-8d9b-b5be67e881d2', 63)
					;
				
CREATE TABLESPACE WLPZ8105
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
;
CREATE TABLE @SCHEMA@.LSW_SAP_CONNECTION (
    "SAP_CONNECTION_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "MODIFIED_ON" TIMESTAMP,
    "IS_DEFAULT" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "SYSNAME" VARCHAR(800) NOT NULL,
    "SAPUID" VARCHAR(800) NOT NULL,
    "PASSWORD" VARCHAR(800) NOT NULL,
    "CLIENT" VARCHAR(800) NOT NULL,
    "PORT" VARCHAR(800) NOT NULL,
    "LOCATION" VARCHAR(800) NOT NULL,
    "PROTOCAL" VARCHAR(800),
    "WEBSERVICE_PATTERN" VARCHAR(800)
)
IN @DB_NAME@.WLPZ8105
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SAP_CONNECTION_PK
    ON @SCHEMA@.LSW_SAP_CONNECTION
    ("SAP_CONNECTION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_SAP_CONNECTION
    ADD CONSTRAINT LSWC_SAP_CONNECTION_PK
    PRIMARY KEY(
       "SAP_CONNECTION_ID")

;

CREATE UNIQUE INDEX @SCHEMA@.LSWC_SAP_CONNECTION_UQ
    ON @SCHEMA@.LSW_SAP_CONNECTION(
        "SYSNAME",
        "CREATED_BY_USER_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_SAP_CONNECTION_IDX1 
    ON @SCHEMA@.LSW_SAP_CONNECTION(
    "MODIFIED_ON")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_SAP_CONNECTION_IDX2 
    ON @SCHEMA@.LSW_SAP_CONNECTION(
    "CREATED_ON")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_SAP_CONNECTION_IDX3 
    ON @SCHEMA@.LSW_SAP_CONNECTION(
    "SYSNAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_SAP_CONNECTION_IDX4 
    ON @SCHEMA@.LSW_SAP_CONNECTION(
    "IS_DEFAULT")
    USING STOGROUP @STOGRP@

;








      
-- END of phase ProcUpgradeTo855 --
        
    
    

      
-- START of phase ProcUpgradeTo856 --
        
         
ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "MOBILE_READY" CHAR(1)
        DEFAULT 'F'
;


						DROP INDEX @SCHEMA@.LSWC_GGXXREF_NU2;
					
ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "PROJECT_ID" CHAR(36) 
ADD 
    "BPD_NAME" VARCHAR(128) 
ADD 
    "SBO_SYNC_ENABLED" CHAR(1)
        DEFAULT 'F' NOT NULL
;



CREATE INDEX @SCHEMA@.IDX3_GGMX 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "CONTAINER_GROUP_ID",
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_SBO_SYNC_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE(
        "BPD_INSTANCE_ID",
        "EXECUTION_STATUS",
        "SBO_SYNC_ENABLED")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.INDEX4_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "PROJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.INDEX5_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "LAST_MODIFIED_DATETIME",
    "GROUP_ID",
    "EXECUTION_STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "IS_MOBILE_READY" CHAR(1)
        DEFAULT 'F'
;


CREATE TABLESPACE WLPZ3001
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
;
CREATE TABLE @SCHEMA@.LSW_INSTALLATION_MESSAGE (
    "MESSAGE_ID" CHAR(36) NOT NULL,
    "PARENT_MESSAGE_ID" CHAR(36),
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "SERVER_ID" CHAR(36),
    "SERVER_NAME" VARCHAR(512) NOT NULL,
    "THREAD_ID" VARCHAR(32) NOT NULL,
    "USER_NAME" VARCHAR(512) NOT NULL,
    "TYPE" DECIMAL(2,0) NOT NULL,
    "STATE" DECIMAL(2,0),
    "START_DATETIME" TIMESTAMP NOT NULL,
    "END_DATETIME" TIMESTAMP,
    "MESSAGE_NAME" VARCHAR(512) NOT NULL,
    "REPLACEMENT_TEXT" VARCHAR(4000)
)
IN @DB_NAME@.WLPZ3001
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_INSTALLATION_MESSAGE_PK
    ON @SCHEMA@.LSW_INSTALLATION_MESSAGE
    ("MESSAGE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_INSTALLATION_MESSAGE
    ADD CONSTRAINT LSW_INSTALLATION_MESSAGE_PK
    PRIMARY KEY(
       "MESSAGE_ID")

;

ALTER  TABLE @SCHEMA@.LSW_SERVER 
ADD 
    "IS_GENERIC" CHAR(1)
        DEFAULT '0'
;


ALTER  TABLE @SCHEMA@.LSW_DEPLOYMENT 
ADD 
    "IS_GENERIC" CHAR(1)
        DEFAULT '0'
;


CREATE TABLESPACE WLPZ3011
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_MIGRATION_POLICY (
    "MIGRATION_POLICY_ID" CHAR(36) NOT NULL,
    "SOURCE_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "TARGET_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "XML_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPZ3011
;

CREATE LOB TABLESPACE WLPZ3012
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_MIGRATION_POLICY_LOB
    IN @DB_NAME@.WLPZ3012
    STORES @SCHEMA@.LSW_MIGRATION_POLICY COLUMN XML_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_MIGRATION_POLICY_I
    ON @SCHEMA@.LSW_MIGRATION_POLICY_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSW_MIGRATION_POLICY_PK
    ON @SCHEMA@.LSW_MIGRATION_POLICY
    ("MIGRATION_POLICY_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_MIGRATION_POLICY
    ADD CONSTRAINT LSW_MIGRATION_POLICY_PK
    PRIMARY KEY(
       "MIGRATION_POLICY_ID")

;

ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "IS_SHADOW" CHAR(1)
        DEFAULT 'F' 
ADD 
    "SAVE_SERVICE_REF" CHAR(36)
;


ALTER  TABLE @SCHEMA@.LSW_SAVED_SEARCHES 
ADD 
    "SEARCH_TYPE" DECIMAL(18,0)
        DEFAULT 1 NOT NULL
;


ALTER  TABLE @SCHEMA@.LSW_SCA_CONNECTOR 
ADD 
    "BINDING_TYPE" DECIMAL(2,0)
        DEFAULT 0 
ADD 
    "PROJECT_ID" CHAR(36) 
ADD 
    "ENV_VAR_ID" CHAR(36)
;


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "SBO_SYNC_ENABLED" CHAR(1)
        DEFAULT 'T'
;








CREATE INDEX @SCHEMA@.FK_BTMARKERS_BPDID 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_BPDINST_CBPDVID 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "CACHED_BPD_VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_DYNGRP_BRAID 
    ON @SCHEMA@.LSW_DYNAMIC_GROUP(
    "BRANCH_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_DYNGRP_SNAID 
    ON @SCHEMA@.LSW_DYNAMIC_GROUP(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_TASK_RFROM 
    ON @SCHEMA@.LSW_TASK(
    "RCVD_FROM")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_TASK_CBY 
    ON @SCHEMA@.LSW_TASK(
    "CLOSE_BY")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_USRATTR_UID 
    ON @SCHEMA@.LSW_USR_ATTR(
    "USER_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.FK_UGMEM_GID 
    ON @SCHEMA@.LSW_USR_GRP_MEM_XREF(
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE DROP CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT DROP CONSTRAINT BPM_SHARED_OBJECT_FK
;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT DROP CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT DROP CONSTRAINT BPM_SHARED_OBJ_TO_TASK
;

CREATE TABLESPACE WLPZ601
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE (
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "SHARED_OBJECT_ID" CHAR(36) NOT NULL,
    "SHARED_OBJECT_VERSION" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ601
;

CREATE TABLESPACE WLPZ602
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_INVALID (
    "INVALID_MARKER" CHAR(36) NOT NULL,
    "SHARED_OBJECT_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPZ602
;



CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INST_SHARED_USAGE_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE
    ("BPD_INSTANCE_ID","SHARED_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE
    ADD CONSTRAINT LSW_BPD_INST_SHARED_USAGE_PK
    PRIMARY KEY(
       "BPD_INSTANCE_ID",
       "SHARED_OBJECT_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INVALID_PK
    ON @SCHEMA@.BPM_SHARED_OBJECT_INVALID
    ("INVALID_MARKER")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INVALID
    ADD CONSTRAINT BPM_SHARED_OBJECT_INVALID_PK
    PRIMARY KEY(
       "INVALID_MARKER")

;

CREATE UNIQUE INDEX @SCHEMA@.BPM_SHAREDOBJ_DEFID_BID_TID_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT(
        "DEFINITION_VERSION_ID",
        "BPD_INSTANCE_ID",
        "TASK_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_IDX2 
    ON @SCHEMA@.BPM_SHARED_OBJECT(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_BPD_INST_SHARED_USAGE_IDX1 
    ON @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSW_BPD_INST_SHARED_USAGE_IDX2 
    ON @SCHEMA@.LSW_BPD_INSTANCE_SHARED_USAGE(
    "SHARED_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INVALID
    ADD CONSTRAINT BPM_SHARED_OBJECT_INVALID_FK
	FOREIGN KEY("SHARED_OBJECT_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE
;

CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INVALID_IDX1 
    ON @SCHEMA@.BPM_SHARED_OBJECT_INVALID(
    "SHARED_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

	                    
                        
;





















CREATE INDEX @SCHEMA@.IDX_BPDI_EXST_SNAP 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "EXECUTION_STATUS",
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX_SNAPSHOT_PROJ_SNAP 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "PROJECT_ID",
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
    "HAS_SUSPENDED_ALL_INSTANCES" CHAR(1)
        DEFAULT 'F' NOT NULL
;


				
;




CREATE UNIQUE INDEX @SCHEMA@.IX_BPD_BI_VI
    ON @SCHEMA@.LSW_BPD(
        "BPD_ID",
        "VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_BPDI_CBVI_SN_ES 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "CACHED_BPD_VERSION_ID",
    "SNAPSHOT_ID",
    "EXECUTION_STATUS")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_TASK_BIID_ST_SN 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS",
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ5111
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_RELATIONSHIP (
    "INSTANCE_ID" CHAR(36) NOT NULL,
    "SOURCE_OBJECT_LOCAL_ID" DECIMAL(12,0) NOT NULL,
    "SOURCE_ID_TYPE" DECIMAL(6,0) NOT NULL,
    "TARGET_OBJECT_LOCAL_ID" DECIMAL(12,0) NOT NULL,
    "TARGET_ID_TYPE" DECIMAL(6,0) NOT NULL,
    "TYPE" DECIMAL(4,0) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0),
    "DESCRIPTION" CLOB(2G),
    "CREATED_DATE" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_DATETIME" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPZ5111
;

CREATE LOB TABLESPACE WLPZ5112
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_RELATIONSHIP_LOB
    IN @DB_NAME@.WLPZ5112
    STORES @SCHEMA@.BPM_RELATIONSHIP COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_RELATIONSHIP_I
    ON @SCHEMA@.BPM_RELATIONSHIP_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_RELATIONSHIP_PK
    ON @SCHEMA@.BPM_RELATIONSHIP
    ("INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_RELATIONSHIP
    ADD CONSTRAINT LSWC_RELATIONSHIP_PK
    PRIMARY KEY(
       "INSTANCE_ID")

;

CREATE INDEX @SCHEMA@.IX_REL_SOLI_SIT_T 
    ON @SCHEMA@.BPM_RELATIONSHIP(
    "SOURCE_OBJECT_LOCAL_ID",
    "SOURCE_ID_TYPE",
    "TYPE")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IX_REL_TOLI_TIT_T 
    ON @SCHEMA@.BPM_RELATIONSHIP(
    "TARGET_OBJECT_LOCAL_ID",
    "TARGET_ID_TYPE",
    "TYPE")
    USING STOGROUP @STOGRP@

;

ALTER TABLE LSW_USR_XREF ALTER COLUMN PROVIDER SET DATA TYPE VARCHAR(512);
					
ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "BINDING_STYLE" VARCHAR(128)
        DEFAULT 'soap11'
;


ALTER  TABLE @SCHEMA@.LSW_SCA_CONNECTOR 
ADD 
    "IS_MODULE_CELL_SCOPED" CHAR(1)
        DEFAULT 'T'
;


CREATE TABLESPACE WLPZ2101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_EXTACT_AJAXSVC (
    "EA_AJAXSVC_ID" CHAR(36) NOT NULL,
    "EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
    "SERVICE_REF" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ2101
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EA_AJAXSVC_PK
    ON @SCHEMA@.LSW_EXTACT_AJAXSVC
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_EXTACT_AJAXSVC
    ADD CONSTRAINT LSWC_EA_AJAXSVC_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.LSWC_EA_AJAXSVC_PK3
    ON @SCHEMA@.LSW_EXTACT_AJAXSVC("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY 
ADD 
    "AUTH_AJAXSVC" CHAR(1)
        DEFAULT 'F' NOT NULL
;



ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES
    ADD CONSTRAINT LSWC_STU_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='4ba76d97-6763-4943-af85-e992b4e464fa'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb568'
;
UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='4ba76d97-6763-4943-af85-e992b4e464fa'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb569'
;
					



CREATE INDEX @SCHEMA@.IX_TSK_GRP_ST_BPDI 
    ON @SCHEMA@.LSW_TASK(
    "GROUP_ID",
    "STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.IX_SNAP_SNID_NAM_PRJID
    ON @SCHEMA@.LSW_SNAPSHOT(
        "SNAPSHOT_ID",
        "NAME",
        "PROJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.IX_PRJ_PRJID_SNAM
    ON @SCHEMA@.LSW_PROJECT(
        "PROJECT_ID",
        "SHORT_NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK2
	FOREIGN KEY("GOV_SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

;


;



      
-- END of phase ProcUpgradeTo856 --
        
    